import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:krow/features/profile/bank_account/domain/bloc/bank_account_bloc.dart';

@RoutePage()
class BankAccountFlowScreen extends StatelessWidget {
  const BankAccountFlowScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return MultiBlocProvider(providers: [
      BlocProvider<BankAccountBloc>(
        create: (context) => BankAccountBloc()..add(BankAccountEventInit()),
      ),
    ], child: const AutoRouter());
  }
}
